Bug 436062 - BIOS Parameters Section of the HOWTO needs completion
BIOS Parameters Section of the HOWTO needs completion
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Realtime_Tuning_Guide (Show other bugs)
All Linux
low Severity low
: 1.1
: ---
Assigned To: Luis Claudio R. Goncalves
Jeff Needle
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2008-03-04 23:08 EST by Lana Brindley
Modified: 2013-10-23 19:06 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-30 02:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lana Brindley 2008-03-04 23:08:57 EST
Description of problem:

BIOS parameters need completion. Leaving out of the Tuning Guide for now.

Assigned to Clark for re-assigning as you see fit :)

Comment 1 Clark Williams 2008-03-11 15:44:56 EDT
Hmmm, BIOS parameters are a wildly differing collection of stuff.  I'm going to
assign this one to Luis, but CC Steven, Peter and Arnaldo, since I'm sure they
have opionions on this.
Comment 2 Lana Brindley 2008-03-26 22:42:47 EDT
This is a friendly reminder :) LKB
Comment 3 Clark Williams 2008-07-02 13:00:41 EDT
I think there are really only two things we can address here:

1. NUMA issues
2. SMI's

In both cases, we will have to write in generalities, since different BIOS
vendors use different terms, have different interfaces, etc. to address these

The NUMA issue is when you're running on a NUMA machine (e.g. HP DL585) and your
application is not NUMA-aware, you want to set the system to be "memory
interleaved" rather than leaving it NUMA.  We may want to get some additional
information from lwoodman on how to describe this.

The SMI issue is not something that's easily handled. I suspect we'll have to
say something like "Go into your BIOS setup screen and see if System Mangement
Interrupts or SMIs are mentioned. If they are, turn them off for more
deterministic behavior". Not even positive that *any* vendor offers that option
Comment 4 Lana Brindley 2008-10-30 02:07:19 EDT
This has not been included in the current document due to lack of information. If it is still required please open a new bug with source information.


Note You need to log in before you can comment on or make changes to this bug.